qtre: Quick Tool for Raw Editing.

Presentación.

Qtre es un editor de textos para Unix programable en Perl. La versión actual está desarrollada en Linux pero puede funcionar en cualquier Unix razonable.

Requisitos

Qtre necesita ncurses, una versión reciente de gcc/g++, Perl instalado y las librerías que requiera el enlace con Perl.

Licencia

Qtre se puede usar y distribuir bajo licencia GPL.

Descarga.

qtre.tgz 74 KB, revisión 13-jan-2005.

qtre-0.0.20070206.0.tgz Revisión 6-feb-2007.

Esta version soporta utf8 de forma limitada. Funciona correctameente con locale utf-8 y codifica y descodifica utf8 al leer y guardar, por defecto si el locale actual usa utf8 o cambiando la opcion en el menu fichero. Sin embargo, para poder mantener la capacidad de manejar ficheros binarios, internamente se trabaja con caracteres monobyte, por lo cual se soportan solamente ficheros que contengan caracteres unicode compatibles con latin-1.

En algunos sistemas el paquete ncurses soporta utf8 directamente, en otros hay un paquete adicional llamado ncursesw. Qtre comprueba en configure si hay un ncursesw y lo usa en ese caso, si no usa ncurses. Esto puede dar resultados incoherentes en pantalla en los sistemas que necesitan ncursesw pero no lo tienen instalado.

Instalación.

Descargar el fichero y descomprimir en un directorio vacío, ejecutar make, y si todo va bien ejecutar su -c "make install".

Nuevo: la ultima version va con configure.

Utilización.

Ver el fichero README

Críticas furibundas y encendidos elogios a: julian.notfound@gmail.com

Volver a ninsesabe

 Esto es todo amigos.